import request from '@/utils/request'

// 查询设备模型功能列表
export function listDeviceModeFunction(query) {
  return request({
    url: '/business/deviceModeFunction/list',
    method: 'get',
    params: query
  })
}

// 查询设备模型功能详细
export function getDeviceModeFunction(modeFunctionId) {
  return request({
    url: '/business/deviceModeFunction/' + modeFunctionId,
    method: 'get'
  })
}

// 新增设备模型功能
export function addDeviceModeFunction(data) {
  return request({
    url: '/business/deviceModeFunction',
    method: 'post',
    data: data
  })
}

// 修改设备模型功能
export function updateDeviceModeFunction(data) {
  return request({
    url: '/business/deviceModeFunction',
    method: 'put',
    data: data
  })
}

// 删除设备模型功能
export function delDeviceModeFunction(modeFunctionId) {
  return request({
    url: '/business/deviceModeFunction/' + modeFunctionId,
    method: 'delete'
  })
}


